__gnu_cxx::__scoped_lock Class Reference

`#include <concurrence.h>`

## Public Types

typedef __mutex | __mutex_type

## Public Member Functions

| __scoped_lock (__mutex_type &__name)

## Detailed Description

Scoped lock idiom.

Definition at line 228 of file concurrence.h.

## Member Typedef Documentation

## __mutex_type

typedef __mutex __gnu_cxx::__scoped_lock::__mutex_type

Definition at line 231 of file concurrence.h.

## Constructor & Destructor Documentation

## __scoped_lock()

__gnu_cxx::__scoped_lock::__scoped_lock | ( | __mutex_type & | __name | ) |

inline explicit

Definition at line 240 of file concurrence.h.

## ~__scoped_lock()

__gnu_cxx::__scoped_lock::~__scoped_lock | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 243 of file concurrence.h.

The documentation for this class was generated from the following file:

- concurrence.h